package com.jzlife.report.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.cors.CorsConfiguration;
import org.springframework.web.cors.UrlBasedCorsConfigurationSource;
import org.springframework.web.filter.CorsFilter;

@Configuration
public class Cros {

	private static final Logger log = LoggerFactory.getLogger(Cros.class);

	@Value("${spring.profiles.active}")
	public String active;

	@Bean
	public CorsFilter corsFilter() {
		final UrlBasedCorsConfigurationSource source = new UrlBasedCorsConfigurationSource();
		final CorsConfiguration config = new CorsConfiguration();
		//if (active.equals("dev") || active.equals("test")) {
			config.setAllowCredentials(true); // 允许cookies跨域
			config.addAllowedOrigin("*");// 允许向该服务器提交请求的URI，*表示全部允许。。这里尽量限制来源域，比如http://xxxx:8080 ,以降低安全风险。。
			config.addAllowedHeader("*");// 允许访问的头信息,*表示全部
			config.setMaxAge(18000L);// 预检请求的缓存时间（秒），即在这个时间段里，对于相同的跨域请求不会再预检了
			config.addAllowedMethod("*");// 允许提交请求的方法，*表示全部允许，也可以单独设置GET、PUT等
			config.addAllowedMethod("HEAD");
			config.addAllowedMethod("GET");// 允许Get的请求方法
			config.addAllowedMethod("PUT");
			config.addAllowedMethod("POST");
			config.addAllowedMethod("DELETE");
			config.addAllowedMethod("PATCH");
			source.registerCorsConfiguration("/**", config);
		//}
		return new CorsFilter(source);
	}

	@Bean
	public RestTemplate restTemplate() {
		return new RestTemplate();
	}
}
