package com.jzlife.report.config.mvc;

import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebMvcConfigurerImpl implements WebMvcConfigurer {

	@Bean
	public WebInterceptor webInterceptor() {
		return new WebInterceptor();
	}

	// 拦截器
	@Override
	public void addInterceptors(InterceptorRegistry registry) {
		// 增加一个拦截器
		registry.addInterceptor(webInterceptor()).addPathPatterns("/**")
		.excludePathPatterns("/swagger-resources/**","/webjars/**", "/v2/**", "/swagger-ui.html/**"
				,"/index.html","/pagers/**"	);
	}
	@Bean
	public FilterRegistrationBean<BodyReaderRequestFilter> httpServletRequestReplacedRegistration() {
		FilterRegistrationBean<BodyReaderRequestFilter> registration = new FilterRegistrationBean<BodyReaderRequestFilter>();
		registration.setFilter(new BodyReaderRequestFilter());
		registration.addUrlPatterns("/*");
		registration.addInitParameter("paramName", "paramValue");
		registration.setName("BodyReaderRequestFilter");
		registration.setOrder(1);
		return registration;
	}

	@Override
	public void addResourceHandlers(ResourceHandlerRegistry registry) {
		// TODO Auto-generated method stub
		 registry.addResourceHandler("/**").addResourceLocations(
	                "classpath:/static/");
	        registry.addResourceHandler("swagger-ui.html").addResourceLocations(
	                "classpath:/META-INF/resources/");
	        registry.addResourceHandler("/webjars/**").addResourceLocations(
	                "classpath:/META-INF/resources/webjars/");


//		registry.addResourceHandler("/jmreport/**").addResourceLocations("anon");
//		registry.addResourceHandler("/**/*.js.map").addResourceLocations("anon");
//		registry.addResourceHandler("/**/*.css.map").addResourceLocations("anon");

	}
}
