package com.jzlife.report.controller;

import com.github.pagehelper.PageHelper;
import com.jzlife.report.anno.LogRecordFiled;
import com.jzlife.report.dao.reports.SPMapper;
import com.jzlife.report.dto.ReportMarketRebuyRemindDto;
import com.jzlife.report.dto.SaleAppDto;
import com.jzlife.report.service.nurse.CityStationService;
import com.jzlife.report.util.ExcelUtils;
import com.jzlife.report.util.ResponseUtil;
import com.jzlife.report.util.UserUtil;
import com.jzlife.report.util.page.BeanUtil;
import com.jzlife.report.util.page.PagedResult;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 销售复购提醒报表 by leo
 */
@RestController
@RequestMapping(value = "marketRebuy")
public class MarketRebuyRemindController {

    @Autowired
    private SPMapper spMapper;

    @Autowired
    UserUtil userUtil;

    @Autowired
    CityStationService cityStationService;

    @ApiOperation("销售复购提醒")
    @GetMapping("remind")
    @LogRecordFiled(funName = "销售复购提醒")
    public Object remind(@RequestParam(defaultValue = "1") Integer pageNo,
                         @RequestParam(defaultValue = "50") Integer pageSize, String city, String bookDate, @RequestParam(defaultValue = "false") Boolean isExport,
                         HttpServletResponse response, HttpServletRequest request) throws Exception {

        if (StringUtils.isBlank(city)) {
            return ResponseUtil.fail("请选择城市");
        }

        if (isExport == false) {
            List<ReportMarketRebuyRemindDto> result = spMapper.sp_get_market_rebuy_remind_by_city(pageNo, pageSize, city, bookDate);
            return ResponseUtil.ok(result);
        } else {
            List<ReportMarketRebuyRemindDto> result = spMapper.sp_get_market_rebuy_remind_by_city(1, 10000, city, bookDate);
            ExcelUtils.exportExcel(result, null, "Sheet1", ReportMarketRebuyRemindDto.class, "小程序订单列表.xls",
                    response);
            return null;
        }
    }
}
