package com.jzlife.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 离职原因&流失原因记录表
 */
@ApiModel(value = "离职原因&流失原因记录表")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EntryResignLossRecord {
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 保洁id
     */
    @ApiModelProperty(value = "保洁id")
    private String workerNo;

    /**
     * 保洁手机号
     */
    @ApiModelProperty(value = "保洁手机号")
    private String phone;

    /**
     * 1.离职 2流失
     */
    @ApiModelProperty(value = "1.离职 2流失")
    private Byte type;

    /**
     * 一级分类
     */
    @ApiModelProperty(value = "一级分类")
    private String levelOne;

    /**
     * 二级分类
     */
    @ApiModelProperty(value = "二级分类")
    private String levelTwo;

    /**
     * 三级分类
     */
    @ApiModelProperty(value = "三级分类")
    private String levelThree;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "")
    private String createBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "")
    private String updateBy;
}
