package com.jzlife.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="temp_invest_info")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TempInvestInfo {
    /**
    * 主键
    */
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
    * 跑批日期
    */
    @ApiModelProperty(value="跑批日期")
    private Date date;

    /**
    * entry_worker id
    */
    @ApiModelProperty(value="entry_worker id")
    private Integer workId;

    /**
    * 保洁师姓名
    */
    @ApiModelProperty(value="保洁师姓名")
    private String workerName;

    /**
    * 保洁师电话
    */
    @ApiModelProperty(value="保洁师电话")
    private String workerTel;

    @ApiModelProperty(value="")
    private Integer cityId;

    /**
    * 城市名称
    */
    @ApiModelProperty(value="城市名称")
    private String cityName;

    @ApiModelProperty(value="")
    private Short stationId;

    /**
    * 服务站名称
    */
    @ApiModelProperty(value="服务站名称")
    private String stationName;

    /**
    * 公海导入时间
    */
    @ApiModelProperty(value="公海导入时间")
    private Date importDate;

    /**
    * 类型 来源类型：1 渠道franchisee 2 合伙⼈franchisee 3 ⾃招 当前sys_user 4 转介绍 entry_work 5 复职 6 ⾃然流量
    */
    @ApiModelProperty(value="类型 来源类型：1 渠道franchisee 2 合伙⼈franchisee 3 ⾃招 当前sys_user 4 转介绍 entry_work 5 复职 6 ⾃然流量")
    private Integer source;

    /**
    * 状态（0无，1待联系，2待面试，3待培训，4跟单中，5待入职,6已拒绝，7已上线，8已解约）
    */
    @ApiModelProperty(value="状态（0无，1待联系，2待面试，3待培训，4跟单中，5待入职,6已拒绝，7已上线，8已解约）")
    private Integer mainState;

    /**
    * 参加培训状态 -1 未参加
    */
    @ApiModelProperty(value="参加培训状态 -1 未参加")
    private Short trainState;

    /**
    * 跟单状态 -1 未跟单 0待安排 1待跟单 2跟单中 3暂停 4完成 5取消
    */
    @ApiModelProperty(value="跟单状态 -1 未跟单 0待安排 1待跟单 2跟单中 3暂停 4完成 5取消")
    private Long ojtState;

    /**
    * 商家状态(1待联系，2待面试，3待培训，4待上线，5已上线，6已解约，7已流失)
    */
    @ApiModelProperty(value="商家状态(1待联系，2待面试，3待培训，4待上线，5已上线，6已解约，7已流失)")
    private Integer backState;

    @ApiModelProperty(value="")
    private Date createTime;

    @ApiModelProperty(value="")
    private String createBy;
}
