package com.jzlife.report.vo;


import com.jzlife.report.anno.ExcelFiled;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DaysStackRadioVo {

    /**
     * 时间，格式20211221
     */
    @ExcelFiled(colName = "日期",dateFormat="yyyyMMdd")
    private String date;

    /**
     * 城市
     */
    @ExcelFiled(colIndex = 1, colName = "城市")
    private String city;

    /**
     * 供应商
     */
    @ExcelFiled(colIndex = 2, colName = "供应商")
    private String supplier;

    /**
     * 服务站类型  保洁站、品类站
     */
    @ExcelFiled(colIndex = 3, colName = "服务站类型")
    private String stationType;

    /**
     * 服务站名称
     */
    @ExcelFiled(colIndex = 4, colName = "服务站")
    private String stationName;

    /**
     * 当日服务者数量
     */
    @ExcelFiled(colIndex = 5, colName = "当日服务者数量")
    private String currentDayServerCount;

    /**
     * 当日空闲服务者数量
     */
    @ExcelFiled(colIndex = 6, colName = "当日可接单服务者数量")
    private Integer currentDayLeisureServerCount;

    /**
     * 当日库存资源数
     */
    @ExcelFiled(colIndex = 7, colName = "当日资源库存数")
    private Integer currentDaySourceCount;


    /**
     * 当日已被占用资源数
     */
    @ExcelFiled(colIndex = 8, colName = "已被占用库存数")
    private Integer currentDayUsedSourceCount;
    /**
     * 当日可用库存数
     */
    @ExcelFiled(colIndex = 9, colName = "可用库存数")
    private Integer currentDayLeisureSourceCount;

    /**
     * 当日库存率
     */
    @ExcelFiled(colIndex = 10, colName = "库存剩余率",precision=4)
    private String statckRadio;

}
